Package com.orbbec.obsensor

## Class FrameSet

- java.lang.Object
- - com.orbbec.obsensor.LobClass
  - - com.orbbec.obsensor.Frame
    - - com.orbbec.obsensor.FrameSet

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.lang.Cloneable`

    public class FrameSet
    extends Frame

Data frame set, including 0~N data frames

### Field Summary

### Fields inherited from class com.orbbec.obsensor.LobClass

`handle, owner`

### Method Summary

All Methods Instance Methods Concrete Methods
`ColorFrame` `getColorFrame()` Get color data frame
`DepthFrame` `getDepthFrame()` get depth data frame
`<T extends Frame> T` `getFrame​(FrameType frameType)`
`int` `getFrameCount()` Get the number of frames in a dataframe set
`IRFrame` `getIrFrame()` Get infrared data frame
`PointFrame` `getPointFrame()` Get point cloud data from a collection of frames

### Methods inherited from class com.orbbec.obsensor.Frame

`as, close, getData, getData, getDataSize, getDirectBuffer, getFormat, getFrameIndex, getMetadata, getMetadataSize, getStreamType, getSystemTimeStamp, getTimeStamp, getTimeStampUs`

### Methods inherited from class com.orbbec.obsensor.LobClass

`getHandle, throwInitializeException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getFrameCount

    public int getFrameCount()

Get the number of frames in a dataframe set

Returns:
  number of frames

#### getDepthFrame

    public DepthFrame getDepthFrame()

get depth data frame

Returns:
  depth data frame

#### getColorFrame

    public ColorFrame getColorFrame()

Get color data frame

Returns:
  color data frame

#### getIrFrame

    public IRFrame getIrFrame()

Get infrared data frame

Returns:
  Infrared data frame

#### getPointFrame

    public PointFrame getPointFrame()

Get point cloud data from a collection of frames

Returns:
  Return point cloud frame

#### getFrame

    public <T extends Frame> T getFrame​(FrameType frameType)